# Gmagick::readimagefile

(PECL gmagick >= Unknown)

Gmagick::readimagefile — The readimagefile purpose

### Description

public Gmagick::readimagefile ( resource `$fp` [, string `$filename` ] ) : Gmagick

Reads an image or image sequence from an open file descriptor.

### Parameters

`fp`

  The file descriptor.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.